Agora C++ API Reference for All Platforms

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
agora::rtc::RtcEngineContextInternal Struct Reference

`#include <rtc_engine_i.h>`

Inherits agora::rtc::RtcEngineContext.

## Public Member Functions
| RtcEngineContextInternal ()
| RtcEngineContextInternal (const RtcEngineContext &ctx)
Public Member Functions inherited from agora::rtc::RtcEngineContext
| RtcEngineContext ()

## Public Attributes
bool | isPassThruMode
int | maxOutputBitrateKpbs
agora_refptr< IMediaExtensionObserver > | extensionObserverProxy
bool | is_p2p_switch_enabled_
bool | isPureCpp
std::string | libLoadPath
Public Attributes inherited from agora::rtc::RtcEngineContext
IRtcEngineEventHandler * | eventHandler
const char * | appId
void * | context
CHANNEL_PROFILE_TYPE | channelProfile
const char * | license
AUDIO_SCENARIO_TYPE | audioScenario
unsigned int | areaCode
commons::LogConfig | logConfig
Optional< THREAD_PRIORITY_TYPE > | threadPriority
bool | useExternalEglContext
bool | domainLimit
bool | autoRegisterAgoraExtensions

## Constructor & Destructor Documentation

## ◆ RtcEngineContextInternal() [1/2]

agora::rtc::RtcEngineContextInternal::RtcEngineContextInternal | ( |  | ) |
| inline

## ◆ RtcEngineContextInternal() [2/2]

agora::rtc::RtcEngineContextInternal::RtcEngineContextInternal | ( | const RtcEngineContext & | ctx | ) |
| explicit

## Member Data Documentation

## ◆ isPassThruMode

bool agora::rtc::RtcEngineContextInternal::isPassThruMode

## ◆ maxOutputBitrateKpbs

int agora::rtc::RtcEngineContextInternal::maxOutputBitrateKpbs

## ◆ extensionObserverProxy

agora_refptr<IMediaExtensionObserver> agora::rtc::RtcEngineContextInternal::extensionObserverProxy

## ◆ is_p2p_switch_enabled_

bool agora::rtc::RtcEngineContextInternal::is_p2p_switch_enabled_

## ◆ isPureCpp

bool agora::rtc::RtcEngineContextInternal::isPureCpp

## ◆ libLoadPath

std::string agora::rtc::RtcEngineContextInternal::libLoadPath